CONFIG=debug
#CONFIG=release
QMAKE_CXXFLAGS_DEBUG += -Wall -Wno-long-long -Woverloaded-virtual -Wsign-promo -Wundef -Wredundant-decls -O $(EXTRA_CXXFLAGS)
#QMAKE_CXXFLAGS_DEBUG += -Wall -Wno-long-long -Weffc++ -Wold-style-cast -Woverloaded-virtual -Wsign-promo -Wfloat-equal -Wundef -Wshadow -Wredundant-decls -O
QMAKE_CXXFLAGS_RELEASE += -Wall -DNDEBUG -fexceptions -O3 $(EXTRA_CXXFLAGS)
TEMPLATE=lib
LIBS += $(coral_OSLIBS) -lxml2

INCLUDEPATH+=..
INCLUDEPATH+=/usr/include/$(PYTHON)$(PYTHON_VER)
INCLUDEPATH+=/usr/include/libxml2
SOURCES += kernel_wrap.cxx
SOURCES += core/Collection.cpp
SOURCES += core/CorePrimitives.cpp
SOURCES += core/DCE_UUID.cpp
SOURCES += core/Element.cpp
SOURCES += core/ElementDefinition.cpp
SOURCES += core/ElementIterator.cpp
SOURCES += core/PrimitiveProperties.cpp
SOURCES += core/PyOperation.cpp
SOURCES += core/xmlns_conversion_table.cpp
SOURCES += core/io/c_time.cpp
SOURCES += core/garbage_collector.cpp
SOURCES += core/Project.cpp
SOURCES += core/config.cpp
SOURCES += core/io/io.cpp
SOURCES += core/io/xmi_writer_common.cpp
SOURCES += core/io/xmi_writer_1.cpp
SOURCES += core/io/xmi_writer_2.cpp
SOURCES += core/io/xmi_reader_1.cpp
SOURCES += core/io/xmi_reader_2.cpp
SOURCES += core/io/xmi_reader_common.cpp
SOURCES += core/io/compression_support.cpp
SOURCES += core/util/ModelCopy.cpp
SOURCES += core/util/SameModel.cpp
SOURCES += core/util/TransactionManager.cpp
SOURCES += core/util/simple_lang_creator.cpp
SOURCES += core/util/check_bidi_slots.cpp
SOURCES += core/util/uElement.cpp
SOURCES += core/diff/Difference.cpp
SOURCES += core/diff/Patch.cpp
SOURCES += lang/XMI/XMI.cpp
SOURCES += lang/SMD01/SMD01.cpp
SOURCES += lang/SMD01/smd2lang.cpp
SOURCES += lib/helper_uuid.cpp
SOURCES += lib/multithread.cpp
SOURCES += lib/fdstreambuf.cpp
SOURCES += lib/unicodestring.cpp
SOURCES += lib/timedebug.cpp
SOURCES += lib/debugstream.cpp
SOURCES += lib/ref_counted.cpp
SOURCES += lib/regexp.cpp
SOURCES += lib/cpp_errno.cpp
SOURCES += lib/cpp_posix.cpp
SOURCES += lib/safe_save_file.cpp
SOURCES += coral.cpp
DEFINES += COMPILING_coral
DEFINES += SWIG_GLOBAL
DEFINES += SWIG_COBJECT_TYPES
