#ifndef H_CORAL_GARBAGE_COLLECTOR
#define H_CORAL_GARBAGE_COLLECTOR
// This file is part of the Coral project.
// Please read the copyright notice in the LICENSE file.

#include <cstdio>

#include <coral/coral.h>

namespace coral {

	/**
	 * Garbage collect elements that are not in use.
	 * Warning! This might take a long time.
	 */
	void EXPORT_coral garbage_collect() throw ();
#ifdef COMPILING_coral
	// Don't use this...
	void x__garbage_collect();
#endif
}


#endif
