#ifndef H_CORAL_ASSERT
#define H_CORAL_ASSERT
// This file is part of the Coral project.
// Please read the copyright notice in the LICENSE file.

#include <cassert>
#include <coral/coral.h>

#ifndef NDEBUG
#define coral_assert(expr) do { if (!(expr)) { coral::print_backtrace(); assert(expr); } } while (0)
#else
#define coral_assert(expr) do { } while(0)
#endif

#endif



